Get website data
curl --request GET \
--url https://api.service.getjusto.com/v3/ordering/customers/{externalCustomerId}/websites/{domain} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.service.getjusto.com/v3/ordering/customers/{externalCustomerId}/websites/{domain}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.service.getjusto.com/v3/ordering/customers/{externalCustomerId}/websites/{domain}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": {
"_id": "<string>",
"name": "<string>",
"baseURL": "<string>",
"description": "<string>",
"countryCode": "<string>",
"timezone": "America/Santiago",
"locale": "<string>",
"menuIds": [
"<string>"
],
"defaultMenuId": "<string>",
"supportedLanguages": [
"<string>"
],
"deliveryTypes": [
"<string>"
],
"minimumOrderPrice": 123,
"logo": {
"_id": "<string>",
"url": "<string>",
"colorsData": {
"blurhash": "<string>",
"background": "<string>",
"front": "<string>"
},
"dimensions": {
"width": 123,
"height": 123
},
"resizedData": {
"thumbnailURL": "<string>",
"smallURL": "<string>",
"mediumURL": "<string>",
"largeURL": "<string>",
"extraLargeURL": "<string>"
}
},
"images": {
"logo": {
"_id": "<string>",
"url": "<string>",
"colorsData": {
"blurhash": "<string>",
"background": "<string>",
"front": "<string>"
},
"dimensions": {
"width": 123,
"height": 123
},
"resizedData": {
"thumbnailURL": "<string>",
"smallURL": "<string>",
"mediumURL": "<string>",
"largeURL": "<string>",
"extraLargeURL": "<string>"
}
},
"seo": {
"_id": "<string>",
"url": "<string>",
"colorsData": {
"blurhash": "<string>",
"background": "<string>",
"front": "<string>"
},
"dimensions": {
"width": 123,
"height": 123
},
"resizedData": {
"thumbnailURL": "<string>",
"smallURL": "<string>",
"mediumURL": "<string>",
"largeURL": "<string>",
"extraLargeURL": "<string>"
}
},
"favicon": {
"_id": "<string>",
"url": "<string>",
"colorsData": {
"blurhash": "<string>",
"background": "<string>",
"front": "<string>"
},
"dimensions": {
"width": 123,
"height": 123
},
"resizedData": {
"thumbnailURL": "<string>",
"smallURL": "<string>",
"mediumURL": "<string>",
"largeURL": "<string>",
"extraLargeURL": "<string>"
}
},
"navbarLogo": {
"_id": "<string>",
"url": "<string>",
"colorsData": {
"blurhash": "<string>",
"background": "<string>",
"front": "<string>"
},
"dimensions": {
"width": 123,
"height": 123
},
"resizedData": {
"thumbnailURL": "<string>",
"smallURL": "<string>",
"mediumURL": "<string>",
"largeURL": "<string>",
"extraLargeURL": "<string>"
}
},
"footerLogo": {
"_id": "<string>",
"url": "<string>",
"colorsData": {
"blurhash": "<string>",
"background": "<string>",
"front": "<string>"
},
"dimensions": {
"width": 123,
"height": 123
},
"resizedData": {
"thumbnailURL": "<string>",
"smallURL": "<string>",
"mediumURL": "<string>",
"largeURL": "<string>",
"extraLargeURL": "<string>"
}
}
},
"seo": {
"title": "<string>",
"description": "<string>"
},
"design": {
"backgroundColor": "<string>",
"primaryColor": "<string>",
"productCardDesign": "<string>",
"hideProductsDiscountBadge": true,
"isDark": true,
"navbarHidden": true,
"navbarBackgroundColor": "<string>",
"navbarTextColor": "<string>",
"importantMessageText": "<string>"
},
"stores": [
{
"_id": "<string>",
"websiteId": "<string>",
"name": "<string>",
"timezone": "America/Santiago",
"acceptDelivery": true,
"acceptGo": true,
"acceptServe": true,
"acceptReservations": true,
"acceptWaitingList": true,
"minimumAnticipationDays": 123,
"hideTip": true,
"forceHideDeliveryTip": true,
"defaultsManagedDelivery": true,
"deliveryCostType": "<string>",
"cityId": "<string>",
"address": {
"placeId": "<string>",
"streetAddress": "<string>",
"extendedAddress": "<string>",
"location": {
"lat": -33.43219757080078,
"lng": -70.59982299804688
},
"locality": "<string>",
"countryName": "<string>"
},
"humanSchedule": [
{
"days": "<string>",
"schedule": "<string>"
}
],
"reservationsHumanSchedule": [
{
"days": "<string>",
"schedule": "<string>"
}
],
"zones": [
{}
],
"availablePaymentMethodInfo": [
{
"paymentMethod": "<string>",
"label": "<string>",
"canDeliver": true,
"isIntegration": true,
"allowedDeliveryTypes": [],
"requiresRoundTrip": true,
"isAvailableInV3": true,
"isSecure": true
}
],
"supportOptions": {
"phone": "<string>",
"whatsAppNumber": "<string>",
"email": "<string>"
}
}
]
}
}Websites y catálogo
Get website data
Obtiene datos públicos del website, incluyendo el menú por defecto.
GET
/
ordering
/
customers
/
{externalCustomerId}
/
websites
/
{domain}
Get website data
Authorizations
JWT Token
Path Parameters
ID del customer en el sistema externo. Es independiente por app.
Dominio canónico del website Justo.
⌘I